## kross-interpreters 4.13.0

=== ruby/CMakeLists.txt ===
find_package(Ruby 1.9 QUIET)

if( RUBY_VERSION VERSION_GREATER "1.10" )
    message(STATUS "Found Ruby: ${RUBY_EXECUTABLE} (found version \"${RUBY_VERSION}\") but only 1.9.x supported")
    set(RUBY_FOUND False)
else()
    message(STATUS "Found Ruby: ${RUBY_EXECUTABLE} (found version \"${RUBY_VERSION}\")")
endif()

macro_log_feature(RUBY_FOUND
  "Ruby" "Ruby libraries" "http://www.ruby-lang.org" FALSE "1.9.x" "Needed to compile the Ruby bindings")

set(krossruby_PART_SRCS
   rubyvariant.cpp
   rubyinterpreter.cpp
   rubyextension.cpp
   rubyscript.cpp
   rubymodule.cpp
   rubycallcache.cpp
   rubyobject.cpp
   )

if(RUBY_FOUND)
  include_directories(${RUBY_INCLUDE_DIRS})
  kde4_add_plugin(krossruby ${krossruby_PART_SRCS})
  target_link_libraries(krossruby ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${KDE4_KROSSCORE_LIBS} ${RUBY_LIBRARY})
  install(TARGETS krossruby  DESTINATION ${PLUGIN_INSTALL_DIR})
endif()

## kross-interpreters 4.6.90

=== debian/changelog ===
kross-interpreters (4:4.6.90-2) unstable; urgency=low

  * "Bye bye to you, ugly monolithic kdebindings" release.

  [ Modestas Vainius ]
  * Upload to unstable.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 04 Jul 2011 17:13:33 +0300

kross-interpreters (4:4.6.90-1) experimental; urgency=low

  * Initial standalone release: split off from kdebindings.
  * Below you will find notable changes from previous kdebindings packaging.

  [ Modestas Vainius ]
  * Require KDE SC 4.6.3.
  * Bump Standards-Version to 3.9.2: no changes needed.
  * Switch debian/rules engine to dhmk based debian-qt-kde.mk.
  * Remove patches, none apply to krosspython.
  * Build only krosspython for now.
  * Clean up Uploaders list.
  * Clean up Build-Depends list: keep kdelibs5-dev, python-dev and standard
    build-dependencies.
  * Update debian/copyright.

 -- Modestas Vainius <modax@debian.org>  Fri, 01 Jul 2011 00:43:10 +0300

=== debian/control ===
Source: kross-interpreters
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.6.3),
 debhelper (>= 7.3.16), cmake, pkg-kde-tools (>= 0.12), kdelibs5-dev (>= 4:4.6),
 python-dev
Uploaders: Modestas Vainius <modax@debian.org>
Standards-Version: 3.9.2
Homepage: http://www.kde.org
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kross-interpreters.git
Vcs-Browser: http://git.debian.org/gitweb/?p=pkg-kde/kde-sc/kross-interpreters.git

Package: krosspython
Section: python
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Breaks: python-kde4 (<< 4:4.2.60)
Replaces: python-kde4 (<< 4:4.2.60)
Description: Python module for Kross
 Kross is a scripting framework to enable scripting in various languages in all
 kinds of KDE applications.
 .
 Kross itself is a part of KDELibs, this package contains the Kross Python
 plugin.

## kross-interpreters 4.7.1

=== debian/changelog ===
kross-interpreters (4:4.7.1-0ubuntu1) oneiric; urgency=low

  * New upstream release

 -- Jonathan Kolberg <bulldog98@kubuntu-de.org>  Fri, 09 Sep 2011 12:19:36 -0400

kross-interpreters (4:4.7.0-0ubuntu1) oneiric; urgency=low

  * New upstream release 

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 25 Jul 2011 00:08:02 +0200

=== debian/control ===
Source: kross-interpreters
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.7.1),
 debhelper (>= 7.3.16), cmake, pkg-kde-tools (>= 0.12), kdelibs5-dev (>= 4:4.7),
 python-dev
Uploaders: Modestas Vainius <modax@debian.org>
Standards-Version: 3.9.2
Homepage: http://www.kde.org
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kross-interpreters
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kross-interpreters

Package: krosspython
Section: python
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Breaks: python-kde4 (<< 4:4.2.60)
Replaces: python-kde4 (<< 4:4.2.60)
Description: Python module for Kross
 Kross is a scripting framework to enable scripting in various languages in all
 kinds of KDE applications.
 .
 Kross itself is a part of KDELibs, this package contains the Kross Python
 plugin.

## kross-interpreters 4.8.2

=== debian/changelog ===
kross-interpreters (4:4.8.2-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 02 Apr 2012 19:06:05 +0200

kross-interpreters (4:4.8.1-0ubuntu1) precise; urgency=low

  * New upstream release 

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 04 Mar 2012 20:50:15 +0100

kross-interpreters (4:4.8.0-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 20 Jan 2012 12:10:33 +0000

kross-interpreters (4:4.7.97-0ubuntu1) precise; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 05 Jan 2012 12:18:30 +0000

kross-interpreters (4:4.7.95-0ubuntu1) precise; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 24 Dec 2011 20:47:03 +0100

kross-interpreters (4:4.7.90-0ubuntu1) precise; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 16 Dec 2011 13:14:36 +0000

kross-interpreters (4:4.7.3-0ubuntu1) UNRELEASED; urgency=low

  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 01 Nov 2011 14:50:05 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Build-Depends: kde-sc-dev-latest (>= 4:4.7.1),
- debhelper (>= 7.3.16), cmake, pkg-kde-tools (>= 0.12), kdelibs5-dev (>= 4:4.7),
+Build-Depends: kde-sc-dev-latest (>= 4:4.8.2),
+ debhelper (>= 7.3.16), cmake, pkg-kde-tools (>= 0.12), kdelibs5-dev (>= 4:4.8.1),
  python-dev
 Uploaders: Modestas Vainius <modax@debian.org>
 Standards-Version: 3.9.2

## kross-interpreters 4.8.4

=== debian/changelog ===
kross-interpreters (4:4.8.4-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * Bump kde-sc-dev-latest build dependency to 4.8.4.
  * Bump kdelibs5-dev build dependency to 4.8.
  * Fix watch file to point to the .xz tarballs.

 -- Pino Toscano <pino@debian.org>  Sat, 16 Jun 2012 18:15:24 +0200

kross-interpreters (4:4.7.4-1) unstable; urgency=low

  * Team upload.
  * New upstream release.

  [ Modestas Vainius ]
  * Fix GitWeb Vcs URL.

  [ Pino Toscano ]
  * Add a watch file.
  * Update the Homepage.
  * Bump kde-sc-dev-latest build dependency to >= 4:4.7.4.
  * Bump kdelibs5-dev build dependency to >= 4:4.7.
  * Bump Standards-Version to 3.9.3, no changes required.

 -- Pino Toscano <pino@debian.org>  Mon, 02 Apr 2012 16:32:39 +0200

=== debian/control ===
Source: kross-interpreters
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.8.4),
 debhelper (>= 7.3.16), cmake, pkg-kde-tools (>= 0.12), kdelibs5-dev (>= 4:4.8),
 python-dev
Uploaders: Modestas Vainius <modax@debian.org>
Standards-Version: 3.9.3
Homepage: http://projects.kde.org/projects/kde/kdebindings/kross-interpreters
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kross-interpreters.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kross-interpreters.git

Package: krosspython
Section: python
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Breaks: python-kde4 (<< 4:4.2.60)
Replaces: python-kde4 (<< 4:4.2.60)
Description: Python module for Kross
 Kross is a scripting framework to enable scripting in various languages in all
 kinds of KDE applications.
 .
 Kross itself is a part of KDELibs, this package contains the Kross Python
 plugin.

## kross-interpreters 4.9.2

=== debian/changelog ===
kross-interpreters (4:4.9.2-0ubuntu1) quantal-proposed; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 02 Oct 2012 15:31:29 +0100

kross-interpreters (4:4.9.1-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 10 Sep 2012 18:36:32 +0530

kross-interpreters (4:4.9.0-0ubuntu1) quantal; urgency=low

  * Use direct build-depends versions rather than kde-sc-dev-latest
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 26 Jul 2012 22:30:41 +0100

kross-interpreters (4:4.8.90-0ubuntu1) quantal; urgency=low

  * New upstream beta release.

 -- Felix Geyer <debfx@ubuntu.com>  Mon, 11 Jun 2012 23:36:22 +0200

kross-interpreters (4:4.8.80-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 06 Jun 2012 14:29:39 +0100

=== debian/control ===
Source: kross-interpreters
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: 
 debhelper (>= 7.3.16), cmake, pkg-kde-tools (>= 0.12), kdelibs5-dev (>= 4:4.9.2),
 python-dev
Uploaders: Modestas Vainius <modax@debian.org>
Standards-Version: 3.9.2
Homepage: http://www.kde.org
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kross-interpreters
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kross-interpreters

Package: krosspython
Section: python
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Breaks: python-kde4 (<< 4:4.2.60)
Replaces: python-kde4 (<< 4:4.2.60)
Description: Python module for Kross
 Kross is a scripting framework to enable scripting in various languages in all
 kinds of KDE applications.
 .
 Kross itself is a part of KDELibs, this package contains the Kross Python
 plugin.

## kross-interpreters 4.10.0

=== debian/changelog ===
kross-interpreters (4:4.10.0-0ubuntu1) raring-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 12:01:35 +0000

kross-interpreters (4:4.9.98-0ubuntu1) raring-proposed; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 15:50:07 +0000

kross-interpreters (4:4.9.97-0ubuntu1) raring; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:41:19 +0100

kross-interpreters (4:4.9.95-0ubuntu1) raring; urgency=low

  * New upstream RC release
  * Add kubuntu_01_multiarch_python.diff for multiarch python dirs

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:37:47 +0000

kross-interpreters (4:4.9.90-0ubuntu1) raring-proposed; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 18:05:03 +0000

kross-interpreters (4:4.9.80-0ubuntu1) raring; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 19 Nov 2012 16:02:40 +0000

kross-interpreters (4:4.9.3-0ubuntu1) raring; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 06 Nov 2012 22:39:59 +0100

kross-interpreters (4:4.7.3-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 01 Nov 2011 14:50:05 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Build-Depends: 
- debhelper (>= 7.3.16), cmake, pkg-kde-tools (>= 0.12), kdelibs5-dev (>= 4:4.9.2),
+ debhelper (>= 7.3.16), cmake, pkg-kde-tools (>= 0.12), kdelibs5-dev (>= 4:4.10.0),
  python-dev
 Uploaders: Modestas Vainius <modax@debian.org>
 Standards-Version: 3.9.2

## kross-interpreters 4.10.2

=== debian/changelog ===
kross-interpreters (4:4.10.2-0ubuntu1) raring; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 14:55:12 +0200

kross-interpreters (4:4.10.1-0ubuntu1) raring-proposed; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Mar 2013 16:36:30 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Build-Depends: 
- debhelper (>= 7.3.16), cmake, pkg-kde-tools (>= 0.12), kdelibs5-dev (>= 4:4.10.0),
+ debhelper (>= 7.3.16), cmake, pkg-kde-tools (>= 0.12), kdelibs5-dev (>= 4:4.10.2),
  python-dev
 Uploaders: Modestas Vainius <modax@debian.org>
 Standards-Version: 3.9.2

## kross-interpreters 4.10.5

=== debian/changelog ===
kross-interpreters (4:4.10.5-0ubuntu0.1) raring; urgency=low

  * New upstream bugfix release (LP: #1196090)

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 10 Jul 2013 22:44:44 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Build-Depends: 
- debhelper (>= 7.3.16), cmake, pkg-kde-tools (>= 0.12), kdelibs5-dev (>= 4:4.10.2),
+ debhelper (>= 7.3.16), cmake, pkg-kde-tools (>= 0.12), kdelibs5-dev (>= 4:4.10.5),
  python-dev
 Uploaders: Modestas Vainius <modax@debian.org>
 Standards-Version: 3.9.2

## kross-interpreters 4.11.2

=== debian/changelog ===
kross-interpreters (4:4.11.2-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Sep 2013 14:37:31 +0100

kross-interpreters (4:4.11.1-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release.

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 06 Sep 2013 22:30:16 +0100

kross-interpreters (4:4.11.0-0ubuntu1) saucy; urgency=low

  [ Howard Chan ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Aug 2013 00:26:08 +0100

kross-interpreters (4:4.10.97-0ubuntu1) saucy; urgency=low

  * New upstream RC 2 release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Jul 2013 19:47:59 +0100

kross-interpreters (4:4.10.95-0ubuntu1) saucy; urgency=low

  * New upstream RC release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 19 Jul 2013 12:32:58 +0000

kross-interpreters (4:4.10.90-0ubuntu1) saucy; urgency=low

  * New upstream bet release

 -- Michał Zając <quintasan@kubuntu.org>  Fri, 28 Jun 2013 18:21:39 +0100

kross-interpreters (4:4.10.80-0ubuntu1) saucy; urgency=low

  [ Rohan Garg ]
  * New upstream release

  [ Philip Muškovac ]
  * Drop kubuntu_01_multiarch_python.diff, applied upstream 

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 21 Jun 2013 01:31:37 +0100

kross-interpreters (4:4.10.4-0ubuntu1) saucy-proposed; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 07 Jun 2013 00:40:24 +0100

kross-interpreters (4:4.10.3-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Merge with debian, remaining changes:
   - Add kubuntu_01_multiarch_python.diff patch

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 23 May 2013 11:04:51 +0000

kross-interpreters (4:4.10.2-1) experimental; urgency=low

  [ Diane Trout ]
  * New upstream release.

  [ Sune Vuorela ]
  * Add myself to uploaders.
  * Bump build-deps.

 -- Sune Vuorela <sune@debian.org>  Fri, 12 Apr 2013 06:50:25 +0000

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,16 @@
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Build-Depends: 
- debhelper (>= 7.3.16), cmake, pkg-kde-tools (>= 0.12), kdelibs5-dev (>= 4:4.10.5),
+Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
+ debhelper (>= 7.3.16), cmake, pkg-kde-tools (>= 0.12), kdelibs5-dev (>= 4:4.11.2),
  python-dev
-Uploaders: Modestas Vainius <modax@debian.org>
-Standards-Version: 3.9.2
-Homepage: http://www.kde.org
+Uploaders: Modestas Vainius <modax@debian.org>, Sune Vuorela <sune@debian.org>
+Standards-Version: 3.9.3
+Homepage: http://projects.kde.org/projects/kde/kdebindings/kross-interpreters
+X-Debian-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kross-interpreters.git
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kross-interpreters
 Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kross-interpreters
+X-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kross-interpreters.git
 
 Package: krosspython
 Section: python

## kross-interpreters 4.12.3

=== debian/changelog ===
kross-interpreters (4:4.12.3-0ubuntu1~ubuntu12.04.4~ppa1) precise; urgency=low

  * precise backport

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 06 Mar 2014 15:44:53 +0100

kross-interpreters (4:4.12.3-0ubuntu1~ubuntu14.04~ppa1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 28 Feb 2014 21:05:11 +0100

kross-interpreters (4:4.12.2-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 05 Feb 2014 00:12:23 +0000

kross-interpreters (4:4.12.1-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 16 Jan 2014 08:27:22 +0000

kross-interpreters (4:4.12.0-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Dec 2013 17:22:48 +0000

kross-interpreters (4:4.11.97-0ubuntu1) trusty; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 29 Nov 2013 13:22:31 +0000

kross-interpreters (4:4.11.95-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 25 Nov 2013 18:19:35 +0100

kross-interpreters (4:4.11.80-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 23 Nov 2013 17:48:29 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
- debhelper (>= 7.3.16), cmake, pkg-kde-tools (>= 0.12), kdelibs5-dev (>= 4:4.11.2),
+ debhelper (>= 7.3.16), cmake, pkg-kde-tools (>= 0.12), kdelibs5-dev (>= 4:4.12.3),
  python-dev
 Uploaders: Modestas Vainius <modax@debian.org>, Sune Vuorela <sune@debian.org>
 Standards-Version: 3.9.3

## kross-interpreters 4.13.0

=== debian/changelog ===
kross-interpreters (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 22:13:31 +0100

kross-interpreters (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 11:39:33 +0200

kross-interpreters (4:4.12.95-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 12:39:57 +0100

kross-interpreters (4:4.12.90-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 11:10:52 +0000

kross-interpreters (4:4.12.3-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Mar 2014 21:00:16 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
- debhelper (>= 7.3.16), cmake, pkg-kde-tools (>= 0.12), kdelibs5-dev (>= 4:4.12.3),
+ debhelper (>= 7.3.16), cmake, pkg-kde-tools (>= 0.12), kdelibs5-dev (>= 4:4.13.0),
  python-dev
 Uploaders: Modestas Vainius <modax@debian.org>, Sune Vuorela <sune@debian.org>
 Standards-Version: 3.9.3

=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_auto_install:
	$(overridden_command) --destdir=debian/tmp

## kross-interpreters 4.13.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
project(KrossPlugins)

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake/modules )

# search packages used by KDE
find_package(KDE4 REQUIRED)
include(KDE4Defaults)
include(MacroLibrary)

add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories (${KDE4_INCLUDES})

# TODO: PYTHON3 Port: Use "find_package(PythonLibs 2 REQUIRED)" (CMAKE MODULE not KDELIBS)
find_package(PythonLibrary 2 REQUIRED QUIET)
if(PYTHONLIBRARY_FOUND)
    if(PYTHON_VERSION_MAJOR EQUAL 3)
        message(STATUS "Found Python: ${PYTHON_EXECUTABLE} (found version \"${PYTHON_VERSION_STRING}\") but only 2.x supported")
        set(PYTHONINTERP_FOUND False)
        set(PYTHONLIBRARY_FOUND False)
    else()
        message(STATUS "Found Python: ${PYTHON_EXECUTABLE} (found version \"${PYTHON_VERSION_STRING}\")")
    endif()
endif()


find_package(FALCON)

if(PYTHONLIBRARY_FOUND)
	macro_optional_add_subdirectory(python)
endif(PYTHONLIBRARY_FOUND)
macro_log_feature(PYTHONLIBRARY_FOUND "Python" "Python is a programming language that lets you work more quickly and integrate your systems more effectively." "http://python.org" FALSE "2.0" "Kross Python support.")

if(FALCON_FOUND)
	macro_optional_add_subdirectory(falcon)
endif(FALCON_FOUND)
macro_log_feature(FALCON_FOUND "FALCON" "Falcon is an Open Source, simple, fast and powerful programming language, easy to learn and to feel comfortable with." "http://www.falconpl.org/" FALSE "0.9.6.8" "Kross Falcon support.")

macro_optional_add_subdirectory(ruby)
macro_optional_add_subdirectory(java)
macro_display_feature_log()

=== python/CMakeLists.txt ===
PROJECT(KROSSPYTHON)

include(PythonMacros)

include_directories(
    ${PYTHON_INCLUDE_DIRS}
    ${QT_INCLUDE_DIR}
    ${QT_QT_INCLUDE_DIR}
    ${QT_QTCORE_INCLUDE_DIR}
    ${QT_QTGUI_INCLUDE_DIR}
    #${QT_QTNETWORK_INCLUDE_DIR}
    #${QT_QTXML_INCLUDE_DIR}
    ${KDE4_INCLUDE_DIR}
    ${KDE4_INCLUDE_DIR}/kross
)

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}")

########### next target ###############

set(libkrosspythoncxx_SRCS
    cxx/cxxsupport.cxx
    cxx/cxx_extensions.cxx
    cxx/cxxextensions.c
    cxx/IndirectPythonInterface.cxx
)

########### next target ###############

set(krosspython_PART_SRCS ${libkrosspythoncxx_SRCS}
   pythonvariant.cpp
   pythonextension.cpp
   pythonmodule.cpp
   pythonscript.cpp
   pythoninterpreter.cpp
   pythonobject.cpp
)

kde4_add_plugin(krosspython ${krosspython_PART_SRCS})

# -ldl seems to be needed (on Linux at least).
# see http://lists.kde.org/?l=koffice-devel&m=116333261328694&w=2
# and http://websvn.kde.org/branches/work/kwin_composite/CMakeLists.txt?rev=603677&r1=603384&r2=603677
target_link_libraries(krosspython ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${KDE4_KPTY_LIBS} ${KDE4_KROSSCORE_LIBS} ${PYTHON_LIBRARIES} ${CMAKE_DL_LIBS})

install(TARGETS krosspython  DESTINATION ${PLUGIN_INSTALL_DIR})

=== ruby/CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,6 @@
 find_package(Ruby 1.9 QUIET)
 
-if( RUBY_VERSION VERSION_GREATER "1.10" )
-    message(STATUS "Found Ruby: ${RUBY_EXECUTABLE} (found version \"${RUBY_VERSION}\") but only 1.9.x supported")
-    set(RUBY_FOUND False)
-else()
+if(RUBY_FOUND)
     message(STATUS "Found Ruby: ${RUBY_EXECUTABLE} (found version \"${RUBY_VERSION}\")")
 endif()

=== debian/changelog ===
kross-interpreters (4:4.13.1-1) unstable; urgency=medium

  * New upstream release.
  * Remove upstream patch: upstream_ruby-do-not-reject-ruby-versions-
    greater-than-1.9.patch

 -- Maximiliano Curia <maxy@debian.org>  Thu, 22 May 2014 16:35:55 +0200

kross-interpreters (4:4.12.2-2) unstable; urgency=medium

  [ Pino Toscano ]
  * Merge changes from the 4:4.11.5-3 upload.

  [ Maximiliano Curia ]

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:24:20 +0200

kross-interpreters (4:4.12.2-1) experimental; urgency=medium

  * New upstream release.
  * Remove upstream patch: upstream_ruby-fix-rb_raise-calls-with-
    arguments.patch.
  * Bump kde-sc-dev-latest build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:31:51 +0100

kross-interpreters (4:4.11.5-3) unstable; urgency=medium

  * Team upload.
  * Fix krossruby build with ruby > 1.9: (Closes: #739128)
    - bump the cmake build dependency to 2.8.12.1-1.2, since that version fixes
      FindRuby.cmake for ruby 2.x versions
    - backport upstream commit 7f919486919fb083670f66b5d9054a1c5e2179d0 to
      accept ruby versions greater than 1.9; patch
      upstream_ruby-do-not-reject-ruby-versions-greater-than-1.9.patch

 -- Pino Toscano <pino@debian.org>  Sat, 12 Apr 2014 12:42:23 +0200

kross-interpreters (4:4.11.5-2) unstable; urgency=medium

  * Merge previous upload.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 28 Jan 2014 11:13:38 +0100

kross-interpreters (4:4.11.5-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.5, no changes needed.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 28 Jan 2014 10:47:37 +0100

kross-interpreters (4:4.11.3-2) unstable; urgency=low

  * Team upload.
  * Add krossruby back: (Closes: #693533)
    - copy control snippet and krossruby.install from the old kdebindings
      packaging
    - add the ruby and ruby-dev build dependencies
    - backport upstream commit cc551d8feeed74ee923c53587ee08859560c3300 to fix
      build of krossruby with -Werror=format-security; patch
      upstream_ruby-fix-rb_raise-calls-with-arguments.patch.
  * Bump Standards-Version to 3.9.5, no changes required.

 -- Pino Toscano <pino@debian.org>  Fri, 10 Jan 2014 09:55:13 +0100

kross-interpreters (4:4.11.3-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 09 Nov 2013 19:28:31 +0100

kross-interpreters (4:4.11.2-1) experimental; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 09 Oct 2013 16:24:55 +0200

kross-interpreters (4:4.10.5-1) unstable; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 12 Jul 2013 17:52:15 +0200

kross-interpreters (4:4.10.4-1) experimental; urgency=low

  * New upstream release.
  * Bump debhelper build-dep and compat to 9.
  * Bump Standards-Version to 3.9.4.
  * Add myself to uploaders.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 14 Jun 2013 18:18:44 +0200

=== debian/control ===
Source: kross-interpreters
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: cmake (>= 2.8.12.1-1.2~),
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.11),
               pkg-kde-tools (>= 0.12),
               python-dev,
               ruby,
               ruby-dev
Uploaders: Modestas Vainius <modax@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Standards-Version: 3.9.5
Homepage: http://projects.kde.org/projects/kde/kdebindings/kross-interpreters
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kross-interpreters.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kross-interpreters.git

Package: krosspython
Section: python
Depends: ${misc:Depends}, ${shlibs:Depends}
Architecture: any
Breaks: python-kde4 (<< 4:4.2.60)
Replaces: python-kde4 (<< 4:4.2.60)
Description: Python module for Kross
 Kross is a scripting framework to enable scripting in various languages in all
 kinds of KDE applications.
 .
 Kross itself is a part of KDELibs, this package contains the Kross Python
 plugin.

Package: krossruby
Section: ruby
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Breaks: libkde4-ruby1.8 (<< 4:4.2.60)
Replaces: libkde4-ruby1.8 (<< 4:4.2.60)
Description: Ruby module for Kross
 Kross is a scripting framework to enable scripting in various languages in all
 kinds of KDE applications.
 .
 Kross itself is a part of KDELibs, this package contains the Kross Ruby
 plugin.

=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

RUBY_CONFIG_INCLUDE_DIR := $(shell ruby -rrbconfig -e 'puts RbConfig::CONFIG["rubyarchhdrdir"]')
CMAKE_FLAGS := \
  -DRUBY_CONFIG_INCLUDE_DIR=$(RUBY_CONFIG_INCLUDE_DIR) \
  $(NULL)

override_dh_auto_configure:
	$(overridden_command) -- $(CMAKE_FLAGS)

override_dh_auto_install:
	$(overridden_command) --destdir=debian/tmp

## kross-interpreters 4.13.97

=== debian/changelog ===
kross-interpreters (4:4.13.97-0ubuntu1~ubuntu14.04~ppa3) trusty; urgency=medium

  * Fix depend version
  * Comment out utopic ruby rules, does not work in trusty.

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 06 Aug 2014 17:28:37 -0700

kross-interpreters (4:4.13.97-0ubuntu1~ubuntu14.04~ppa1) trusty; urgency=medium

  * trusty backport

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 06 Aug 2014 14:05:16 -0700

kross-interpreters (4:4.13.97-0ubuntu1~ubuntu14.10~ppa1) utopic; urgency=medium

  * New upstream beta release RC

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 31 Jul 2014 12:23:44 -0700

kross-interpreters (4:4.13.95-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 18:32:13 +0200

kross-interpreters (4:4.13.90-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 24 Jul 2014 23:25:19 +0200

kross-interpreters (4:4.13.2-0ubuntu1) utopic; urgency=medium

  * New upstream release
  * Merge with Debian, no changes

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 17 Jun 2014 10:41:57 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: kross-interpreters
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Build-Depends: cmake (>= 2.8.12.1-1.2~),
                debhelper (>= 9),
-               kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.11),
+               kde-sc-dev-latest (>= 4:4.11),
+               kdelibs5-dev (>= 4:4.13.97),
                pkg-kde-tools (>= 0.12),
                python-dev,
                ruby,
@@ -15,8 +16,10 @@
            Maximiliano Curia <maxy@debian.org>
 Standards-Version: 3.9.5
 Homepage: http://projects.kde.org/projects/kde/kdebindings/kross-interpreters
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kross-interpreters.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kross-interpreters.git
+X-Debian-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kross-interpreters.git
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kross-interpreters
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kross-interpreters
+X-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kross-interpreters.git
 
 Package: krosspython
 Section: python

=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

#RUBY_CONFIG_INCLUDE_DIR := $(shell ruby -rrbconfig -e 'puts RbConfig::CONFIG["rubyarchhdrdir"]')
#CMAKE_FLAGS := \
  -DRUBY_CONFIG_INCLUDE_DIR=$(RUBY_CONFIG_INCLUDE_DIR) \
  $(NULL)

#override_dh_auto_configure:
	#$(overridden_command) -- $(CMAKE_FLAGS)

override_dh_auto_install:
	$(overridden_command) --destdir=debian/tmp

## kross-interpreters 4.14.1

=== debian/changelog ===
kross-interpreters (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 17:31:36 +0200

kross-interpreters (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 13:21:49 +0200

kross-interpreters (4:4.13.97-0ubuntu1) utopic; urgency=medium

  * New upstream beta release RC

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 17:06:25 +0200

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Build-Depends: cmake (>= 2.8.12.1-1.2~),
                debhelper (>= 9),
-               kde-sc-dev-latest (>= 4:4.11),
-               kdelibs5-dev (>= 4:4.13.97),
+               kde-sc-dev-latest (>= 4:4.12),
+               kdelibs5-dev (>= 4:4.14.1),
                pkg-kde-tools (>= 0.12),
                python-dev,
                ruby,

## kross-interpreters 4.14.2

=== debian/changelog ===
kross-interpreters (4:4.14.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 06:06:32 -0700

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: cmake (>= 2.8.12.1-1.2~),
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.14.1),
+               kdelibs5-dev (>= 4:4.14.2),
                pkg-kde-tools (>= 0.12),
                python-dev,
                ruby,

## kross-interpreters 15.08.2

=== debian/changelog ===
kross-interpreters (4:15.08.2-0ubuntu1) wily; urgency=medium

  * Vivid backport
  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 12:42:41 +0100

kross-interpreters (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 17:20:35 +0100

kross-interpreters (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 17:36:19 +0100

kross-interpreters (4:15.07.90-0ubuntu1) wily; urgency=medium

  * New upstream release
  * Port to Frameworks 5
  * Drop ruby package, not built upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 10:55:39 +0100

=== debian/control ===
Source: kross-interpreters
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: cmake (>= 2.8.12.1-1.2~),
               debhelper (>= 9),
               extra-cmake-modules,
               libkf5kdelibs4support-dev,
               pkg-kde-tools (>= 0.12),
               python-dev,
               qtbase5-dev
Uploaders: Modestas Vainius <modax@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Standards-Version: 3.9.6
Homepage: http://projects.kde.org/projects/kde/kdebindings/kross-interpreters
Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kross-interpreters.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kross-interpreters.git

Package: krosspython
Section: python
Depends: ${misc:Depends}, ${shlibs:Depends}
Architecture: any
Description: Python module for Kross
 Kross is a scripting framework to enable scripting in various languages in all
 kinds of KDE applications.
 .
 Kross itself is a part of KDE Frameworks, this package contains the Kross
 Python plugin.

## kross-interpreters 15.12.3

=== java/CMakeLists.txt ===
project(krossjava)
set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules )

# search packages used by KDE
find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include (MacroLibrary)
include(MacroOptionalAddSubdirectory)
include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES})

# if(JAVA_INCLUDE_PATH AND JAVA_JVM_LIBRARY)
#     # if already defined, do nothing but try to use them
#     message(STATUS "using defined JAVA_INCLUDE_PATH and JAVA_JVM_LIBRARY")
# else(JAVA_INCLUDE_PATH AND JAVA_JVM_LIBRARY)
    # else we try to detect the jvm
    set(KrossJNI_DIR ${CMAKE_CURRENT_SOURCE_DIR})
    macro_optional_find_package(KrossJNI)
# endif(JAVA_INCLUDE_PATH AND JAVA_JVM_LIBRARY)

#the JAVA_HOME directory
message(STATUS "  JAVA_HOME: " $ENV{JAVA_HOME})
#the path to the jawt library
message(STATUS "  JAVA_AWT_LIB_PATH: " ${JAVA_AWT_LIB_PATH})
#the path to the jvm library
message(STATUS "  JAVA_JVM_LIB_PATH: " ${JAVA_JVM_LIB_PATH})
#the include path to jni.h
message(STATUS "  JAVA_INCLUDE_PATH: " ${JAVA_INCLUDE_PATH})
#the include path to jni.h
message(STATUS "  JAVA_INCLUDE_PATH2: " ${JAVA_INCLUDE_PATH2})
#the include path to jawt.h
message(STATUS "  JAVA_AWT_INCLUDE_PATH: " ${JAVA_AWT_INCLUDE_PATH})
#the libjvm.so library
message(STATUS "  JAVA_JVM_LIBRARY: " ${JAVA_JVM_LIBRARY})

#message(STATUS "KDE4_INCLUDES: " ${KDE4_INCLUDES})

if(JAVA_INCLUDE_PATH AND JAVA_JVM_LIBRARY)
    add_subdirectory(krossjava)
endif(JAVA_INCLUDE_PATH AND JAVA_JVM_LIBRARY)

add_subdirectory(test)

=== debian/changelog ===
kross-interpreters (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 15:47:30 -0700

kross-interpreters (4:15.12.1-0ubuntu1) xenial; urgency=medium

  * Merged with Debian
  * New upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 09 Mar 2016 11:02:45 +0100

kross-interpreters (4:15.08.0-1) unstable; urgency=medium

  * New upstream release (4.14.3).
  * New upstream release (15.08.0).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 10 Sep 2015 09:40:17 +0200

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,19 @@
 Section: kde
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Build-Depends: cmake (>= 2.8.12.1-1.2~),
-               debhelper (>= 9),
-               extra-cmake-modules,
-               libkf5kdelibs4support-dev,
-               pkg-kde-tools (>= 0.12),
-               python-dev,
-               qtbase5-dev
 Uploaders: Modestas Vainius <modax@debian.org>,
            Sune Vuorela <sune@debian.org>,
            Maximiliano Curia <maxy@debian.org>
+Build-Depends: cmake (>= 3.0~),
+               debhelper (>= 9),
+               extra-cmake-modules (>= 0.0.10~),
+               kross-dev (>= 5.11.0~),
+               libkf5kdelibs4support-dev (>= 5.11.0~),
+               pkg-kde-tools (>= 0.12),
+               python-dev (>= 2~),
+               qtbase5-dev (>= 5.2.0~),
+               ruby,
+               ruby-dev
 Standards-Version: 3.9.6
 Homepage: http://projects.kde.org/projects/kde/kdebindings/kross-interpreters
 Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kross-interpreters.git

=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

## kross-interpreters 16.08.0

=== debian/changelog ===
kross-interpreters (4:16.08.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Enable krossruby, built again by upstream:
    - add a krossruby binary
    - add install files for krosspython and krosspython
  * Disable the unit tests at build time, since they can work only with plugins
    already installed.
  * Change the watch file to look for stable releases only.
  * Drop the libkf5kdelibs4support-dev build dependency, no more required now.

 -- Pino Toscano <pino@debian.org>  Thu, 25 Aug 2016 07:43:05 +0200

kross-interpreters (4:15.08.0-2) unstable; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8

  [ Maximiliano Curia ]
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields

 -- Maximiliano Curia <maxy@debian.org>  Sat, 28 May 2016 01:52:53 +0200

=== debian/control ===
--- 
+++ 
@@ -9,16 +9,15 @@
                debhelper (>= 9),
                extra-cmake-modules (>= 0.0.10~),
                kross-dev (>= 5.11.0~),
-               libkf5kdelibs4support-dev (>= 5.11.0~),
                pkg-kde-tools (>= 0.12),
                python-dev (>= 2~),
                qtbase5-dev (>= 5.2.0~),
                ruby,
                ruby-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://projects.kde.org/projects/kde/kdebindings/kross-interpreters
-Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kross-interpreters.git
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kross-interpreters.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kross-interpreters.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kross-interpreters.git
 
 Package: krosspython
 Section: python
@@ -30,3 +29,14 @@
  .
  Kross itself is a part of KDE Frameworks, this package contains the Kross
  Python plugin.
+
+Package: krossruby
+Section: ruby
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Architecture: any
+Description: Ruby module for Kross
+ Kross is a scripting framework to enable scripting in various languages in all
+ kinds of KDE applications.
+ .
+ Kross itself is a part of KDE Frameworks, this package contains the Kross
+ Ruby plugin.

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kross-interpreters-([\d.]+).tar.xz

## kross-interpreters 16.12.3

=== debian/changelog ===
kross-interpreters (4:16.12.3-0ubuntu1) zesty; urgency=low

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 10 Mar 2017 21:23:44 +0000

kross-interpreters (4:16.12.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:12:23 +0000

kross-interpreters (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * New upstream bugfix release

  [ Clive Johnston ]
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)
  * Enable xvfb for autotests

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:38:55 +0200

## kross-interpreters 17.04.3

=== debian/changelog ===
kross-interpreters (4:17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:27:38 +0100
